Summary:       A LDAP-like embedded database
Name:          libldb
Version:       2.8.0
Release:       2%{?dist}
License:       LGPLv3+
URL:           http://ldb.samba.org/
Source0:       https://download.samba.org/pub/ldb/ldb-%{version}.tar.gz

BuildRequires: gcc make
BuildRequires: lmdb-devel
BuildRequires: libtalloc-devel
BuildRequires: libtdb-devel
BuildRequires: libtevent-devel
BuildRequires: popt-devel openldap-devel libcmocka-devel
BuildRequires: python3-devel python3-tdb python3-talloc-devel python3-tevent
#for manpages
BuildRequires: libxslt docbook-style-xsl doxygen

Requires:      libtalloc
Requires:      libtdb
Requires:      libtevent
Provides:      bundled(libreplace)

%description
LDB is an an embedded LDAP-Like database library, but not completely LDAP compliant.
It can store its database in regular files (using TDB), or talk to a standard LDAP server.
What ldb does is provide a fast database with an LDAP-like API designed to be used
within an application. In some ways it can be seen as a intermediate solution between
key-value pair databases and a real LDAP database.
LDB is the database engine used within Samba.


%package -n ldb-tools
Summary:       Tools to manage LDB files
Requires:      libldb = %{version}-%{release}

%description -n ldb-tools
Tools to manage LDB files.


%package devel
Summary:       Developer tools for the LDB library
Requires:      libldb = %{version}-%{release}
Requires:      libtdb-devel
Requires:      libtalloc-devel
Requires:      libtevent-devel

%description devel
Header files to develop programs with the LDB library.


%package -n python3-ldb
Summary:       Python bindings for the LDB library
Requires:      libldb = %{version}-%{release}
Requires:      python3-tdb

%description -n python3-ldb
Python bindings for the LDB library


%package -n python3-ldb-devel
Summary:       Development files for Python bindings for the LDB library
Requires:      python3-ldb = %{version}-%{release}

%description -n python3-ldb-devel
Development files for Python bindings for the LDB library


%prep
%autosetup -n ldb-%{version} -p1


%build
%configure --disable-rpath \
           --disable-rpath-install \
           --disable-silent-rules \
           --bundled-libraries=NONE \
           --builtin-libraries=replace \
           --with-modulesdir=%{_libdir}/ldb/modules \
           --with-privatelibdir=%{_libdir}/ldb
%make_build
doxygen Doxyfile


%install
%make_install
cp -a apidocs/man/* %{buildroot}/%{_mandir}
rm -f %{buildroot}/%{_mandir}/man3/_*


%check
make %{?_smp_mflags} check


%files
%dir %{_libdir}/ldb
%{_libdir}/libldb.so.*
%{_libdir}/ldb/libldb-key-value.so
%{_libdir}/ldb/libldb-tdb-err-map.so
%{_libdir}/ldb/libldb-tdb-int.so
%{_libdir}/ldb/libldb-mdb-int.so
%dir %{_libdir}/ldb/modules
%dir %{_libdir}/ldb/modules/ldb
%{_libdir}/ldb/modules/ldb/*.so

%files -n ldb-tools
%{_bindir}/*
%{_libdir}/ldb/libldb-cmdline.so
%{_mandir}/man1/ldbadd.1.*
%{_mandir}/man1/ldbdel.1.*
%{_mandir}/man1/ldbedit.1.*
%{_mandir}/man1/ldbmodify.1.*
%{_mandir}/man1/ldbrename.1.*
%{_mandir}/man1/ldbsearch.1.*

%files devel
%{_includedir}/ldb*.h
%{_libdir}/libldb.so
%{_libdir}/pkgconfig/ldb.pc
%{_mandir}/man3/ldb*.gz
%{_mandir}/man3/ldif*.gz

%files -n python3-ldb
%{_libdir}/libpyldb-util.cpython-*.so.2*
%{python3_sitearch}/ldb.cpython-*.so
%{python3_sitearch}/_ldb_text.py
%{python3_sitearch}/__pycache__/_ldb_text.cpython-*.py*

%files -n python3-ldb-devel
%{_includedir}/pyldb.h
%{_libdir}/libpyldb-util.cpython-*.so
%{_libdir}/pkgconfig/pyldb-util.cpython-*.pc
%{_mandir}/man*/Py*.gz


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-2
- Rebuilt for loongarch release

* Wed Jan 17 2024 Ze Zhang <bbrucezhang@tencent.com> - 2.8.0-1
- Update to 2.8.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.2-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Shuo Wang <abushwang@tencent.com> - 2.7.2-1
- update to 2.7.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 04 2022 rockerzhu <rockerzhu@tencent.com> - 2.5.1-1
- Initial build
